Lucene search

K
cvelistApacheCVELIST:CVE-2022-30556
HistoryJun 08, 2022 - 10:00 a.m.

CVE-2022-30556 Information Disclosure in mod_lua with websockets

2022-06-0810:00:55
CWE-200
apache
www.cve.org
4
apache
http server
information disclosure
mod_lua
cve-2022-30556
websockets

AI Score

8.9

Confidence

High

EPSS

0.003

Percentile

70.6%

Apache HTTP Server 2.4.53 and earlier may return lengths to applications calling r:wsread() that point past the end of the storage allocated for the buffer.

CNA Affected

[
  {
    "product": "Apache HTTP Server",
    "vendor": "Apache Software Foundation",
    "versions": [
      {
        "lessThanOrEqual": "2.4.53",
        "status": "affected",
        "version": "unspecified",
        "versionType": "custom"
      }
    ]
  }
]